%global mod_name setuptools_hg

Name:           python-%{mod_name}
Version:        0.2.1
Release:        9%{?dist}
Summary:        Setuptools plugin for Mercurial version control

Group:          Development/Libraries
License:        GPLv2
URL:            http://pypi.python.org/pypi/%{mod_name}
Source0:        http://pypi.python.org/packages/source/s/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
setuptools_hg is a plugin for setuptools that enables setuptools to find files
under the Mercurial version control system.It uses the Mercurial Python library
by default and falls back to use the command line program ``hg``. That's 
especially useful inside virtualenvs that don't have access to the system wide 
installed Mercurial lib (e.g. when created with ``--no-site-packages``).

%prep
%setup -q -n %{mod_name}-%{version}
chmod -x LICENSE

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


 
%files
%{python_sitelib}/%{mod_name}.*
%{python_sitelib}/*.egg-info/

%doc LICENSE PKG-INFO


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 14 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.1-2
- Add license file and some minor changes

* Wed Jul 13 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.1-1
- Initial RPM release
